package com.bonus.canteen.core.allocation.canteen.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

@ApiModel("AllocAreaUpdateDTO")
public class AllocAreaUpdateDTO extends AllocAreaAddDTO {
   @ApiModelProperty(
      value = "区域id",
      required = true
   )
   private @NotNull(
   message = "区域id,不能为空"
) Long areaId;

   public Long getAreaId() {
      return this.areaId;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public String toString() {
      return "AllocAreaUpdateDTO(areaId=" + this.getAreaId() + ")";
   }
}
